.TH FILETYPE "1" "January 2022" "filetype 1.0.9" "User Commands"
.SH NAME
filetype \- Infer file type and MIME type of any file/buffer.
.SH DESCRIPTION
Currently, the following patterns are recognised:

- Image: bmp, cr2, dwg, gif, heic, ico, jpg, jpx, jxr, png, psd, tif, xcf, webp.

- Video: avi, flv, m4v, mkv, mov, mp4, mpg, webm, wmv, 3gpp.

- Audio: aac, aiff, amr, flac, m4a, mid, mp3, ogg, wav.

- Archive: ar, br, bz2, cab, crx, dcm, deb, eot, epub, exe, gz, lz, lzo, lz4, nes, pdf, ps, rar, rpm, rtf, sqlite, swf, tar, xz, zip, Z, 7z.

- Font: otf, ttf, woff, woff2.

- Application: wasm.
.SH SYNOPSIS
usage: filetype [\-h] [\-v] file [file ...]
.PP
Determine type of FILEs.
.SS "positional arguments:"
.IP
file
.SS "optional arguments:"
.TP
\fB\-h\fR, \fB\-\-help\fR
show this help message and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
output version information and exit
